diff --git a/checkpkg b/checkpkg
index cd081218616926a01337a2ad438abf215ff34fe2..2cffa78b247625830b20810a00b3a3da94a360d3 100755
--- a/checkpkg
+++ b/checkpkg
@@ -1,6 +1,17 @@
 #!/bin/bash
 
-source /etc/makepkg.conf
+# Source makepkg.conf; fail if it is not found
+if [ -r "/etc/makepkg.conf" ]; then
+	source "/etc/makepkg.conf"
+else
+    echo "/etc/makepkg.conf not found!"
+    exit 1
+fi
+
+# Source user-specific makepkg.conf overrides
+if [ -r ~/.makepkg.conf ]; then
+	source ~/.makepkg.conf
+fi
 
 strip_url() {
 	echo $1 | sed 's|^.*://.*/||g'
diff --git a/extrapkg b/extrapkg
index 437b330ecede0922e49a1b29489f19790e0494a6..e4708ac5a3c6ed8cfe6e8565dddeea9ff2f0d21a 100755
--- a/extrapkg
+++ b/extrapkg
@@ -1,6 +1,17 @@
 #!/bin/bash
 
-source /etc/makepkg.conf
+# Source makepkg.conf; fail if it is not found
+if [ -r "/etc/makepkg.conf" ]; then
+	source "/etc/makepkg.conf"
+else
+    echo "/etc/makepkg.conf not found!"
+    exit 1
+fi
+
+# Source user-specific makepkg.conf overrides
+if [ -r ~/.makepkg.conf ]; then
+	source ~/.makepkg.conf
+fi
 
 cmd=`basename $0`